Name:           ocaml-ssl
Version:        0.4.6
Release:        %mkrel 2
Summary:        SSL bindings for OCaml

Group:          Development/Other
License:        LGPLv2+ with exceptions
URL:            http://savonet.sourceforge.net/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-ssl-%{version}.tar.gz

BuildRequires:  ocaml >= 3.10.1
BuildRequires:  ocaml-findlib
BuildRequires:  openssl-devel
BuildRequires:  gawk
Requires:       openssl

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# Copy the examples to the docdir.
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}/examples
cp examples/*.ml %{buildroot}%{_docdir}/%{name}-devel-%{version}/examples


%files
%doc CHANGES COPYING README
%{_libdir}/ocaml/ssl
%exclude %{_libdir}/ocaml/ssl/*.a
%exclude %{_libdir}/ocaml/ssl/*.cmxa
%exclude %{_libdir}/ocaml/ssl/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
%{_libdir}/ocaml/ssl/*.mli
%{_docdir}/%{name}-devel-%{version}/






%changelog

* Sun Dec 04 2011 malo <malo> 0.4.6-2.mga2
+ Revision: 176047
- spec clean-up
- remove Requires on openssl-devel

* Sun Nov 20 2011 malo <malo> 0.4.6-1.mga2
+ Revision: 169944
- new version 0.4.6
- missing Requires openssl-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.4.5-2.mga2
+ Revision: 151097
- Rebuild for new OCaml - thanks to Malo.

* Wed Sep 21 2011 shlomif <shlomif> 0.4.5-1.mga2
+ Revision: 146509
- Updated to 0.4.5-1 - thanks to Malo

* Fri Apr 08 2011 ennael <ennael> 0.4.4-2.mga1
+ Revision: 82430
- clean spec file
- imported package ocaml-ssl


* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 0.4.4-2mdv2010.1
+ Revision: 535264
- rebuild for openssl

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 522812
- update to new version 0.4.4

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-3mdv2010.1
+ Revision: 496363
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-2mdv2010.0
+ Revision: 389925
- rebuild

* Tue Feb 03 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 337170
- updated version

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 326276
- import ocaml-ssl


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 0.4.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.11) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-ssl/ocaml-ssl.spec
